<?php
/*
 * Created For BZ9.com
 * Author: Dave
 * Copyright: BZ9.com
 * Licence: Commercial, See included licence file.
 */
if(!defined("APPLICATION_PATH")){ die("No DIRECT Access"); }

class members
{

    Private $Reg;

    public function __construct($Registry){
        $this->Reg = $Registry;
        $this->Reg->log->log("class_load","Members Class");

        $route_methods = array("index","general","advanced","admins","updates");
        $this->Reg->route->set_route("members", $route_methods);
    }

    public function index()
    {
        $this->Reg->user->valid();
        $this->Reg->tpl->showview("home");


    }

    public function general()
    {
        $this->Reg->user->valid(true);
        $this->Reg->tpl->showview("general","",true);
    }

    public function advanced()
    {
        $this->Reg->user->valid(true);
    }

    public function admins()
    {
        $this->Reg->user->valid(true);
        $this->Reg->tpl->showview("admins","",true);
    }

    public function updates()
    {
        $this->Reg->user->valid(true);
        $data = array();
        $url = "http://bz9.com/client/licence/api.php";
        $post_data = array (
            "apikey" => "ffry6g34FFD532fVc6MdtLjkM884H"
        );
        $ch = curl_init();
        curl_setopt($ch, CURLOPT_URL, $url);
        curl_setopt($ch, CURLOPT_CONNECTTIMEOUT ,30);
        curl_setopt($ch, CURLOPT_TIMEOUT, 60);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
        curl_setopt($ch, CURLOPT_POST, 1);
        curl_setopt($ch, CURLOPT_POSTFIELDS, $post_data);
        $output = curl_exec($ch);
        if(curl_errno($ch))
        {
            $data['remote_error'] = true;

        } else {
            $data['remote'] = @json_decode($output);
        }
        curl_close($ch);
        $data['current_version'] = $this->Reg->settings->Config("script_version");
        $this->Reg->tpl->showview("update",$data,true);
    }

}
